# Uses of Interface
org.apache.cxf.binding.BindingFactory

Packages that use BindingFactory
Package
Description
org.apache.cxf.binding
org.apache.cxf.bus.managers
org.apache.cxf.endpoint

- ## Uses of BindingFactory in org.apache.cxf.binding

  Classes in org.apache.cxf.binding that implement BindingFactory
  Modifier and Type
  Class
  Description
  `class`
  `AbstractBindingFactory`
  Methods in org.apache.cxf.binding that return BindingFactory
  Modifier and Type
  Method
  Description
  `BindingFactory`
  BindingFactoryManager.`getBindingFactory(String name)`
  Retrieves the BindingFactory registered with the given name.
  Methods in org.apache.cxf.binding with parameters of type BindingFactory
  Modifier and Type
  Method
  Description
  `void`
  BindingFactoryManager.`registerBindingFactory(String name, BindingFactory binding)`
  Registers a BindingFactory using the provided name.

- ## Uses of BindingFactory in org.apache.cxf.bus.managers

  Methods in org.apache.cxf.bus.managers that return BindingFactory
  Modifier and Type
  Method
  Description
  `BindingFactory`
  BindingFactoryManagerImpl.`getBindingFactory(String namespace)`
  Methods in org.apache.cxf.bus.managers with parameters of type BindingFactory
  Modifier and Type
  Method
  Description
  `void`
  BindingFactoryManagerImpl.`registerBindingFactory(String name, BindingFactory factory)`

- ## Uses of BindingFactory in org.apache.cxf.endpoint

  Fields in org.apache.cxf.endpoint declared as BindingFactory
  Modifier and Type
  Field
  Description
  `protected BindingFactory`
  AbstractEndpointFactory.`bindingFactory`
  `protected final BindingFactory`
  ServerImpl.`bindingFactory`
  Methods in org.apache.cxf.endpoint that return BindingFactory
  Modifier and Type
  Method
  Description
  `BindingFactory`
  AbstractEndpointFactory.`getBindingFactory()`
  Methods in org.apache.cxf.endpoint with parameters of type BindingFactory
  Modifier and Type
  Method
  Description
  `void`
  AbstractEndpointFactory.`setBindingFactory(BindingFactory bf)`
  Constructors in org.apache.cxf.endpoint with parameters of type BindingFactory
  Modifier
  Constructor
  Description
  ``
  `ServerImpl(Bus bus, Endpoint endpoint, DestinationFactory destinationFactory, BindingFactory bindingFactory)`